Bug 6794 - console.perm does not set /dev/console permissions
Summary: console.perm does not set /dev/console permissions
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-07 05:49 UTC by edc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-18 20:43:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description edc 1999-11-07 05:49:24 UTC
the supplied /etc/security/console.perms does not include
the line:

<console>  0600 /dev/console 0600 root.root

which is required to change console owenership for
users who log in without using xdm.

Otherwise programs like xconsole won't work.

Comment 1 Michael K. Johnson 2000-01-18 20:36:59 UTC
The current pam_console module has
<xconsole>=:[0-9]\.[0-9] :[0-9]
and
<xconsole> 0600 /dev/console 0600 root.root
so that this only gets applied for X logins, which
is the correct behaviour.

The current pam_console also has a fix that makes xconsole be
recognized; the original pam_console only allowed you to be
in one console group at a time because the utility of subsets
had not yet been recognized when it was first created.


Note You need to log in before you can comment on or make changes to this bug.